Name:          libXdamage
Version:       1.1.6
Release:       1mamba
Summary:       X.Org Xdamage library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.x.org/wiki/
Source:        http://ftp.x.org/pub/individual/lib/libXdamage-%{version}.tar.xz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXfixes-devel
BuildRequires: libxcb-devel
BuildRequires: xorgproto-devel
## AUTOBUILDREQ-END

%description
X.Org Xdamage library.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
X.Org Xdamage library.

This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libXdamage.so.*
%doc COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/X11/extensions/Xdamage.h
%{_libdir}/libXdamage.a
%{_libdir}/libXdamage.so
%{_libdir}/pkgconfig/*.pc
%doc ChangeLog

%changelog
* Fri Dec 09 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.6-1mamba
- update to 1.1.6

* Sat Aug 03 2019 Automatic Build System <autodist@mambasoft.it> 1.1.5-1mamba
- automatic update by autodist

* Fri Apr 15 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.4-2mamba
- rebuilt to update libpthread-strubs broken .la files

* Sun Jan 13 2013 Automatic Build System <autodist@mambasoft.it> 1.1.4-1mamba
- automatic version update by autodist

* Fri Jul 02 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.3-2mamba
- rebuilt to add pkgconfig provides

* Wed Jun 09 2010 Automatic Build System <autodist@mambasoft.it> 1.1.3-1mamba
- automatic update by autodist

* Mon Oct 12 2009 Automatic Build System <autodist@mambasoft.it> 1.1.2-1mamba
- automatic update by autodist

* Mon Sep 10 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.1-1mamba
- update to 1.1.1

* Tue Jul 17 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1-1mamba
- update to 1.1

* Wed Feb 07 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.4-1qilnx
- update to version 1.0.4 by autospec

* Wed Dec 20 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.3-1qilnx
- package created by autospec
